%global pypi_name scikit-optimize

Name:           python-%{pypi_name}
Version:        0.5.2
Release:        1
Summary:        Sequential model-based optimization toolbox
License:        BSD
URL:            https://github.com/scikit-optimize/scikit-optimize
Source0:        https://files.pythonhosted.org/packages/3a/2e/b31235d041a14353d4de002a5cb2e8e0034214bae8eb7a64071425c79e51/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-numpy
Requires:       python3-scikit-learn >= 0.19.1
Requires:       python3-scipy >= 0.14.0

%global _description \
Scikit-Optimize, or skopt, is a simple and efficient library to \
minimize (very) expensive and noisy black-box functions. It implements \
several methods for sequential model-based optimization. skopt aims to \
be accessible and easy to use in many contexts.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Nov 7 2019 caomeng <caomeng5@huawei.com> - 0.5.2-1
- Init package
